From 93b6f469dbb6f86fdede710f727c577527c1546d Mon Sep 17 00:00:00 2001
From: Neal Gompa <ngompa@fedoraproject.org>
Date: Mar 19 2026 09:29:18 +0000
Subject: [PATCH 10/16] Make the package version dynamic


This lets us build the same sources against multiple Fedora Linux
releases, which makes it easier to maintain.

---

diff --git a/fedora-asahi-remix-release.spec b/fedora-asahi-remix-release.spec
index fe85203..dd09007 100644
--- a/fedora-asahi-remix-release.spec
+++ b/fedora-asahi-remix-release.spec
@@ -7,7 +7,12 @@
 
 %define eol_date 2027-11-24
 
+# This is going to go badly for you if you build on not-Fedora...
+%if 0%{?fedora}
+%define dist_version %{fedora}
+%else
 %define dist_version 45
+%endif
 %define rhel_dist_version 11
 
 %if %{is_rawhide}
@@ -71,7 +76,7 @@
 
 Summary:        Fedora Asahi Remix release files
 Name:           fedora-asahi-remix-release
-Version:        45
+Version:        %{dist_version}
 # The numbering is 0.<r> before a given Fedora Linux release is released,
 # and then just <r>.
 Release:        %autorelease %[0%{?is_development} ? "-p" : ""]

